getCurrentAdminProfile
get
/ccagent/v1/adminProfiles/current
Get Current Admin Profile. Get the current profile information.
Request
Supported Media Types
- application/json
Query Parameters
-
includeAllowedActions: boolean
If we want allowed actions for user, then pass true for this variable
Response
Supported Media Types
- application/json
200 Response
Following model is returned when operation succeeds.
Root Schema : getCurrentAdminProfile_response
Type:
Show Source
object-
accessRights:
array accessRights
Access rights of the user
-
active:
boolean
True if the user is active; false if the user is deactivated.
-
createdBy:
string
ID of the user that created this profile
-
email:
string
Email address and login name of the profile.
-
external:
boolean
True if the user was created externally
-
firstName:
string
First name of the profile.
-
id:
string
ID of this profile.
-
lastName:
string
Last name of the profile.
-
registrationDate:
string
User's registration date.
-
repositoryId:
string
Repository ID of this profile.
-
roles:
array roles
Array of roles assigned to this profile.
-
rolesLastModified:
string
Roles last modified timestamp.
-
tourComplete:
boolean
True if the user has completed the walk-through tour of the admin product.
Nested Schema : items
Type:
Show Source
object-
displayName:
string
Display name of the access right.
-
id:
string
ID of the access right.
-
repositoryId:
string
Repository ID of the access right.
-
type:
string
Type of the access right.
Nested Schema : items
Type:
Show Source
object-
accessRights:
array accessRights
Access rights of the role
-
category:
array category
Category of the role
-
id:
string
ID of the role.
-
name:
string
Name of the role.
-
repositoryId:
string
Repository ID of the role.
-
securityCriteria:
array securityCriteria
Security criteria of the role
Nested Schema : items
Type:
Show Source
object-
displayName:
string
Display name of the access right.
-
id:
string
ID of the access right.
-
repositoryId:
string
Repository ID of the access right.
-
type:
string
Type of the access right.
Nested Schema : items
Type:
Show Source
object-
displayName:
string
Display name of the role category.
-
id:
string
ID of the role category.
-
repositoryId:
string
Repository ID of the role category.
Nested Schema : items
Type:
Show Source
object-
id:
string
ID of the security criteria.
-
name:
string
Name of the security criteria.
-
repositoryId:
string
Repository ID of the security criteria.
Example Response (application/json)
{
"lastName":"Admin",
"firstName":"Amber",
"tourComplete":true,
"roles":[
{
"repositoryId":"adminRole"
}
],
"registrationDate":"2014-09-24 13:50:00",
"active":true,
"id":"iuser260015",
"actions":[
"worksetsAccess",
"publishingAccess",
"settingsTab",
"mediaTab",
"reportsTab"
],
"email":"admin@example.com"
}
Default Response
The error response
Root Schema : errorModel
Type:
Show Source
object-
devMessage:
string
An optional non-localized message containing technical information for developers
-
errorCode:
string
The numerical code identifying the error
-
errors:
array errors
An optional list of errors if multiple errors were encountered
-
message:
string
The localized message describing the error
-
moreInfo:
string
An optional non-localized message with more information
-
o:errorPath:
string
An optional machine readable description of where the error occurred
-
status:
string
The HTTP status code
-
type:
string
The URI to the HTTP state code definition
Nested Schema : errors
Type:
arrayAn optional list of errors if multiple errors were encountered
Show Source
Nested Schema : items
Type:
Show Source
object-
devMessage:
string
An optional non-localized message containing technical information for developers
-
errorCode:
string
The numerical code identifying the error
-
message:
string
The localized message describing the error
-
moreInfo:
string
An optional non-localized message with more information
-
o:errorPath:
string
An optional machine readable description of where the error occurred
-
status:
string
The HTTP status code